Invite user to space

POST
https://example.flowfast.io/api/latest/spaces/{space_id}/users
Path parameters
NameTypeReference
space_idrequiredintegerSpace ID
Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
email
required
string

User email address

role_id
string

Role id. Preset roles : reader - '06ccb31f-426b-4fa3-b7e5-861daee95696', writer - 'a431ed00-1b32-4cc7-92b6-85e4bc7de40e', admin - '07ea3efc-a004-4d31-8683-4bb2084e209b'

guest
boolean

Set true to invite the user as a guest

operator_comment
string

Operator's comment

send_email
boolean

Whether to send email or not

Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
user

object

Schema
User info
access_record

object

Schema
Access record data
message

string

Success message
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

Examples

How to invite user as guest

{
  "email": "userEmail@google.com",
  "guest": true
}
logo
FlowFast
If you have any questions or need help with integration feel free to write us at support@flowfast.io

Path Parameters

  1  curl --request POST \
  2       --url 'https://example.flowfast.io/api/latest/spaces/{space_id}/users' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!